Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## codeanticode.gsvideo
Class GSCapture

    java.lang.Object
      processing.core.PImage
          codeanticode.gsvideo.GSCapture

All Implemented Interfaces:
  java.lang.Cloneable, processing.core.PConstants

    public class GSCapture

extends processing.core.PImage
implements processing.core.PConstants

Class for storing and manipulating video frames from an attached capture device such as a camera.

Field Summary

Fields inherited from class processing.core.PImage
`format, height, parent, pixels, width`

Fields inherited from interface processing.core.PConstants
`A, AB, ADD, AG, ALPHA, ALPHA_MASK, ALT, AMBIENT, AR, ARC, ARGB, ARROW, B, BACKSPACE, BASELINE, BEEN_LIT, BEVEL, BLEND, BLUE_MASK, BLUR, BOTTOM, BOX, BURN, CENTER, CENTER_DIAMETER, CENTER_RADIUS, CHATTER, CLOSE, CMYK, CODED, COMPLAINT, CONTROL, CORNER, CORNERS, CROSS, CUSTOM, DA, DARKEST, DB, DEG_TO_RAD, DELETE, DG, DIAMETER, DIFFERENCE, DILATE, DIRECTIONAL, DISABLE_ACCURATE_TEXTURES, DISABLE_DEPTH_SORT, DISABLE_DEPTH_TEST, DISABLE_OPENGL_2X_SMOOTH, DISABLE_OPENGL_ERROR_REPORT, DODGE, DOWN, DR, DXF, EB, EDGE, EG, ELLIPSE, ENABLE_ACCURATE_TEXTURES, ENABLE_DEPTH_SORT, ENABLE_DEPTH_TEST, ENABLE_NATIVE_FONTS, ENABLE_OPENGL_2X_SMOOTH, ENABLE_OPENGL_4X_SMOOTH, ENABLE_OPENGL_ERROR_REPORT, ENTER, EPSILON, ER, ERODE, ERROR_BACKGROUND_IMAGE_FORMAT, ERROR_BACKGROUND_IMAGE_SIZE, ERROR_PUSHMATRIX_OVERFLOW, ERROR_PUSHMATRIX_UNDERFLOW, ERROR_TEXTFONT_NULL_PFONT, ESC, EXCLUSION, G, GIF, GRAY, GREEN_MASK, HALF_PI, HAND, HARD_LIGHT, HINT_COUNT, HSB, IMAGE, INVERT, JAVA2D, JPEG, LEFT, LIGHTEST, LINE, LINES, LINUX, MACOSX, MAX_FLOAT, MAX_INT, MIN_FLOAT, MIN_INT, MITER, MODEL, MOVE, MULTIPLY, NORMAL, NORMALIZED, NX, NY, NZ, OPAQUE, OPEN, OPENGL, ORTHOGRAPHIC, OTHER, OVERLAY, P2D, P3D, PATH, PDF, PERSPECTIVE, PI, platformNames, POINT, POINTS, POLYGON, POSTERIZE, PROBLEM, PROJECT, QUAD, QUAD_STRIP, QUADS, QUARTER_PI, R, RAD_TO_DEG, RADIUS, RECT, RED_MASK, REPLACE, RETURN, RGB, RIGHT, ROUND, SA, SB, SCREEN, SG, SHAPE, SHIFT, SHINE, SOFT_LIGHT, SPB, SPG, SPHERE, SPOT, SPR, SQUARE, SR, SUBTRACT, SW, TAB, TARGA, TEXT, THIRD_PI, THRESHOLD, TIFF, TOP, TRIANGLE, TRIANGLE_FAN, TRIANGLE_STRIP, TRIANGLES, TWO_PI, TX, TY, TZ, U, UP, V, VERTEX_FIELD_COUNT, VW, VX, VY, VZ, WAIT, WHITESPACE, WINDOWS, X, Y, Z`

Constructor Summary
`GSCapture(processing.core.PApplet parent, int requestWidth, int requestHeight)`
`GSCapture(processing.core.PApplet parent, int requestWidth, int requestHeight, int frameRate)`
`GSCapture(processing.core.PApplet parent, int requestWidth, int requestHeight, java.lang.String cameraName)`
`GSCapture(processing.core.PApplet parent, int requestWidth, int requestHeight, java.lang.String[] intPropNames, int[] intPropValues, java.lang.String[] strPropNames, java.lang.String[] strPropValues, int frameRate)`
`GSCapture(processing.core.PApplet parent, int requestWidth, int requestHeight, java.lang.String cameraName, int frameRate)`
`GSCapture(processing.core.PApplet parent, int requestWidth, int requestHeight, java.lang.String sourceName, java.lang.String cameraName)`
`GSCapture(processing.core.PApplet parent, int requestWidth, int requestHeight, java.lang.String sourceName, java.lang.String[] intPropNames, int[] intPropValues, java.lang.String[] strPropNames, java.lang.String[] strPropValues, int frameRate)`
`GSCapture(processing.core.PApplet parent, int requestWidth, int requestHeight, java.lang.String sourceName, java.lang.String cameraName, int frameRate)`

Method Summary
`boolean` | `available()` Returns "true" when a new video frame is available to read.
`void` | `dispose()`
`void` | `frameRate(int iframeRate)` Set the frameRate for how quickly new frames are read from the capture device.
`static java.lang.String[]` | `list()`
`static java.lang.String[]` | `list(java.lang.String sourceName)` Get a list of all available captures as a String array.
`boolean` | `newFrame()` Return true or false depending on whether a new frame has been read.
`void` | `oldFrame()` Sets the value of newFrame to false.
`void` | `read()` Reads the current video frame.
`void` | `resume()` Resumes the capture pipeline.
`void` | `stop()` Stops the capture pipeline.

Methods inherited from class processing.core.PImage
`blend, blend, blendColor, clone, copy, copy, filter, filter, get, get, get, getCache, getImage, init, isModified, loadPixels, mask, mask, removeCache, resize, save, set, set, setCache, setModified, setModified, updatePixels, updatePixels`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GSCapture

    public GSCapture(processing.core.PApplet parent,
                     int requestWidth,
                     int requestHeight)

### GSCapture

    public GSCapture(processing.core.PApplet parent,
                     int requestWidth,
                     int requestHeight,
                     int frameRate)

### GSCapture

    public GSCapture(processing.core.PApplet parent,
                     int requestWidth,
                     int requestHeight,
                     java.lang.String cameraName)

### GSCapture

    public GSCapture(processing.core.PApplet parent,
                     int requestWidth,
                     int requestHeight,
                     java.lang.String sourceName,
                     java.lang.String cameraName)

### GSCapture

    public GSCapture(processing.core.PApplet parent,
                     int requestWidth,
                     int requestHeight,
                     java.lang.String cameraName,
                     int frameRate)

### GSCapture

    public GSCapture(processing.core.PApplet parent,
                     int requestWidth,
                     int requestHeight,
                     java.lang.String sourceName,
                     java.lang.String cameraName,
                     int frameRate)

### GSCapture

    public GSCapture(processing.core.PApplet parent,
                     int requestWidth,
                     int requestHeight,
                     java.lang.String[] intPropNames,
                     int[] intPropValues,
                     java.lang.String[] strPropNames,
                     java.lang.String[] strPropValues,
                     int frameRate)

### GSCapture

    public GSCapture(processing.core.PApplet parent,
                     int requestWidth,
                     int requestHeight,
                     java.lang.String sourceName,
                     java.lang.String[] intPropNames,
                     int[] intPropValues,
                     java.lang.String[] strPropNames,
                     java.lang.String[] strPropValues,
                     int frameRate)

Method Detail

### read

    public void read()

  Reads the current video frame.

### list

    public static java.lang.String[] list()

### list

    public static java.lang.String[] list(java.lang.String sourceName)

  Get a list of all available captures as a String array. i.e. println(Capture.list()) will show you the goodies.

  Parameters:
    `sourceName` - String
  Returns:
    String[]

### frameRate

    public void frameRate(int iframeRate)

  Set the frameRate for how quickly new frames are read from the capture device. NOT IMPLEMENTED.

  Parameters:
    `iframeRate` - int

### available

    public boolean available()

  Returns "true" when a new video frame is available to read.

  Returns:
    boolean

### newFrame

    public boolean newFrame()

  Return true or false depending on whether a new frame has been read.

  Returns:
    boolean

### oldFrame

    public void oldFrame()

  Sets the value of newFrame to false.

### resume

    public void resume()

  Resumes the capture pipeline.

### stop

    public void stop()

  Stops the capture pipeline.

### dispose

    public void dispose()

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

processing library gsvideo by Andres Colubri. (c) 2008